---
# Main task file for k3s role

- name: check for existing config
  stat:
    path: /etc/systemd/system/k3s.service
  register: k3s_service

- include_tasks: install.yml
  when: not k3s_service.stat.exists

- name: Start service k3s, if not started
  ansible.builtin.service:
    name: k3s
    state: started

- include_tasks: install_helm.yml

#install required python modules
- include_tasks: install.python_modules.yml
